Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           quotatool
Version:        1.6.2
Release:        alt2_25
Summary:        Command-line utility for filesystem quotas
License:        GPLv2
URL:            http://quotatool.ekenberg.se
Source0:        http://quotatool.ekenberg.se/%{name}-%{version}.tar.gz
# Upstream fixes
Patch0:         https://github.com/ekenberg/quotatool/commit/ad6944baaa73cf6230f9a2bef2399b31c2130547.patch
Patch1:         https://github.com/ekenberg/quotatool/commit/09695c944947d804cbe3b5c7e2c854953984413e.patch
Patch2:         https://github.com/ekenberg/quotatool/commit/ca68628de86d18fda67ebcc4191c2b37891ed36e.patch
Patch3:         https://github.com/ekenberg/quotatool/commit/58cdec3cdc6ae94864891a4e179ad68d4d136864.patch
Patch4:         https://github.com/ekenberg/quotatool/commit/af27842d1a6640d932407999ceec57f54a225a78.patch

BuildRequires:  gcc
Source44: import.info

%description
Quotatool is a utility to manipulate filesystem quotas from the commandline.
Most quota-utilities are interactive, requiring manual intervention from the
user. Quotatool on the other hand is not, making it suitable for use in
scripts and other non-interactive situations.

%prep
%setup -q
%patch0 -p1 -b .fix-compiler-warnings
%patch1 -p1 -b .fix-implicit-fallthrough
%patch2 -p1 -b .make-sure-make-clean-works-if-configure-has-not-run
%patch3 -p1 -b .improved-error-message
%patch4 -p1 -b .fix-compiler-warnings-again

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall_std INSTALL_PROGRAM="%{_bindir}/install -p"

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_25
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_23
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_22
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_20
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_19
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_18
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.6.2-alt2_17
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.6.2-alt2_16
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.2-alt1_16
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.6.2-alt1_14
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.2-alt1_13
- new version

